Method: dashboards.fetchMigratable

Full name: projects.locations.instances.dashboards.fetchMigratable

List of all legacy dashboards that can be migrated to native dashboards.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/dashboards:fetchMigratable

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of dashboards. Format: projects/{project}/locations/{region}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of dashboards to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous dashboards.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to dashboards.list must match the call that provided the page token.

view

enum (DashboardView)

Optional. View indicates the scope of fields to populate when returning the dashboard resource. If unspecified, defaults to the basic view.

Request body

The request body must be empty.

Response body

Response message for listing migratable dashboards.

If successful, the response body contains data with the following structure:

JSON representation
{
  "dashboards": [
    {
      object (Dashboard)
    }
  ],
  "nextPageToken": string
}
Fields
dashboards[]

object (Dashboard)

The dashboards from the specified chronicle instance.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.